#ifndef GETKEYCODE_H
#define GETKEYCODE_H

#include <qlineedit.h>

class QWidget;
class QKeyEvent;
class QFocusEvent;

class GetKeyCode: public QLineEdit
{
	Q_OBJECT

public:
	GetKeyCode(QWidget *parent);
	GetKeyCode(const QString &, QWidget *parent);

signals:
	void keyPressed(QKeyEvent*);

protected:
	void keyPressEvent(QKeyEvent*);
};

#endif // GETKEYCODE
